Skip to main content

Get user information

GET https://wallet.paysera.com/rest/v1/user/{userId}

Retrieve information about a user.

Example: GET /user/221 or GET /user/me

Optional Scopes​

All scopes are optional. Include only the scopes needed for the specific user information you want to retrieve.

ScopeDescription
EMAILTo get user's main email address
FULL_NAMEUse this scope if only name and surname is needed
ADDRESSTo get user's address information
PHONETo get user's phone number
DOBTo get user's date of birth
GENDERTo get user's gender
WALLET_LISTTo get user's wallet list
IDENTITYTo get user's identity information
USER_INFOTo get user's general information
IDENTIFICATION_LEVELTo get user's identification level

Authorization​

This endpoint requires MAC (Message Authentication Code) authentication.

Authorization Header Format:

Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH", ext="body_hash=BODY_HASH"

Example:

Authorization: MAC id="a9b8c7d6e5f4g3h2", ts="1234567890", nonce="xyz123abc456def", mac="dGhpcyBpcyBhIHJhbmRvbSBtYWMgaGFzaCB2YWx1ZQ==", ext="body_hash=cmFuZG9tQm9keUhhc2hWYWx1ZQ%3D%3D"

For more details, see the Authentication section.

Parameters​

Path Parameters​

NameTypeRequiredDescription
userIdstring✓User identifier (integer or 'me')

Example​

Request​

GET https://wallet.paysera.com/rest/v1/user/{userId}
Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH"

Response​

{
"id": 221,
"email": "john@example.com",
"phone": "37066612345",
"wallets": [
14471
]
}

AUTHORIZATION: HTTP

REQUEST

Base URL
https://wallet.paysera.com

RESPONSE

User information retrieved
{
"id": 221,
"email": "john@example.com",
"phone": "37066612345",
"wallets": [
14471
]
}